in this project we use :

- MVI architecture
- retrofit
- dagger2
- JetPack
- LiveData
- Glide
- Room

you can dounload the application fron this link :[downlod](https://drive.google.com/file/d/1QqLbqnkeM1rdENr0QKXMhPZsQy1Hnh8N/view?usp=sharing)

<img src="https://bublup-media-production.s3.amazonaws.com/JCEW1TLLW9XdzQNLi11Kyw/images/full_007-im-99644d11-82af-46e6-81c5-521e5b2cf783.jpg">

<img src="https://bublup-media-production.s3.amazonaws.com/EXfjBk1mU9BM0mdv1a5QDg/images/full_007-im-c9c8e8ee-7048-4d7d-b2fa-5d76153f269e.jpg">
